syntax(3)

NAME
syntax - Activate syntax extensions

VERSION
version 0.004

SYNOPSIS
    # either
    use syntax 'foo';

    # or
    use syntax foo => { ... };

    # or
    use syntax qw( foo bar ), baz => { ... };

DESCRIPTION
This module activates community provided syntax extensions to Perl. You pass it a feature name, and optionally a scalar with arguments, and the dispatching system will load and install the extension in your package.

The import arguments are parsed with Data::OptList. There are no standardised options. Please consult the documentation for the specific syntax feature to find out about possible configuration options.

The passed in feature names are simply transformed: "function" becomes Syntax::Feature::Function and "foo_bar" would become "Syntax::Feature::FooBar".

METHODS

  import
    syntax->import( @spec );

This method will dispatch the syntax extension setup to the specified feature handlers for the calling package.

  import_into
    syntax->import_into( $into, @spec );

Same as "import", but performs the setup in $into instead of the calling package.

  unimport
    syntax->unimport( @features );

This method will trigger uninstallations of the @features from the calling package.

  unimport_from
    syntax->unimport_from( $from, @features );

Same as "unimport", but will uninstall the @features from $from.

RECOMMENDED FEATURES

•   Syntax::Feature::Function

    Activates functions with parameter signatures.

SEE ALSO
Syntax::Feature::Function, Devel::Declare

BUGS
Please report any bugs or feature requests to bug-syntax@rt.cpan.org or through the web interface at:
 http://rt.cpan.org/Public/Dist/Display.html?Name=syntax

AUTHOR
Robert 'phaylon' Sedlacek <rs@474.at>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Robert 'phaylon' Sedlacek.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.